<%@ taglib prefix="c" uri="http://java.sun.com/jstl/ea/core"%>
<%@ taglib uri="http://java.sun.com/portlet_2_0" prefix="portlet" %>
<%@ taglib prefix="gtx" uri="http://www.gentics.com/taglib/rendering"%>

<script src="/portletsuite/scripts/jquery-1.7.2.js" type="text/javascript"></script>
<script src="/portletsuite/scripts/jquery.lightbox.js" type="text/javascript"></script>
<script src="/portletsuite/scripts/jquery.colorbox.js" type="text/javascript"></script>
<script src="/portletsuite/scripts/jquery.infinitecarousel.js" type="text/javascript"></script>

<c:choose>
	<c:when test="${isloggedin && haseditperm}">
	
<script type="text/javascript">
var gentics_page_id = "${contentobject.contentid}";
var cacheClearurl = "<portlet:actionURL><portlet:param name='clearcache' value='${contentobject.contentid}' /></portlet:actionURL>";
var doViewUrl = "<portlet:actionURL portletMode='view'></portlet:actionURL>";
</script>

<script type="text/javascript">
<!--
	// load css files of gallery tag into header
	
	$("head").append("<link>");
	var css = $("head").children(":last");
	css.attr({
	      rel:  "stylesheet",
	      type: "text/css",
	      href: "/portletsuite/styles/jquery-colorbox.css"
	});
	
	$("head").append("<link>");
	var css = $("head").children(":last");
	css.attr({
	      rel:  "stylesheet",
	      type: "text/css",
	      href: "/portletsuite/styles/jquery-infinitecarousel.css"
	});

//-->
</script>
<script type="text/javascript">
	Aloha = {}; Aloha.settings = {
	  "plugins" : {
	    "linkchecker" : {
	      "proxyUrl" : "/.Node/?sid=1202&do=19191&url="
	    },
	    "gcn" : {
			"buildRootTimestamp" : "portletsuite/GCN/CNPortletapp/20130228-173837/",
		    "stag_prefix" : "/portletsuite/GCN/.Node/",
		    "nodeFolderId" : "${contentobject.mother_id}",
		    "nodeId" : "${node_id}"
		},
	    "gcn-linkbrowser" : {
	      "objectTypeFilter" : [ "website", "files" ]
	    },
	    "link" : {
	      "objectTypeFilter" : [ "website" ]
	    },
	    "image" : {
	      "minHeight" : "5",
	      "minWidth" : "5",
	      "fixedAspectRatio" : "true",
	      "maxHeight" : "786",
	      "maxWidth" : "1024"
	    }
	  },
	  "i18n" : {
	    "current" : "de"
	  },
	  "locale" : "de",
	  "logLevels" : {
	    "error" : true
	  },
	  "readonly" : false,
	
	  "ribbon" : "1",
	  "contentHandler" : {
	    "getContents" : [ "blockelement", "basic" ],
	    "initEditable" : [ "blockelement" ]
	  },
	  "toolbar" : {
		    "tabs" : [ {
		        "label" : "tab.format.label"
		      }, {
		        "label" : "tab.insert.label",
		        "components" : [ [ "gcnArena" ] ]
		      }, {
		        "label" : "tab.link.label",
		        "components" : [ "editLink", "removeLink", "linkBrowser", "gcnLinkBrowser" ]
		      } ]
		    }
	};
</script>

<script src="/portletsuite/GCN/CNPortletapp/20130228-173837/alohaeditor/lib/aloha.js" data-aloha-plugins="common/ui,common/block,extra/ribbon,common/format,common/highlighteditables,common/list,common/link,common/table,common/paste,common/contenthandler,common/commands,gcn/gcn-linkbrowser,gcn/gcn"></script>
<script src="/portletsuite/scripts/gentics.edit.js" type="text/javascript"></script>
<script type="text/javascript">
	var gentics_page_id = "${contentobject.contentid}";
	var cacheClearUrl = "<portlet:actionURL><portlet:param name="clearcache" value="${contentobject.contentid}" /></portlet:actionURL>";
	var doViewUrl = "<portlet:renderURL portletMode='view'></portlet:renderURL>";
	
	jQuery('head').append('<link rel="stylesheet" href="/portletsuite/GCN/CNPortletapp/20130228-173837/alohaeditor/css/aloha.css" type="text/css" />');
</script>

<div class="gentics-spacer-content">
	<div id="editbar" ></div>
</div>

<div id="gentics_content" class="gentics_content gentics-spacer-content">
<div style="width: 100%; text-align: center;"><img class="loadingimage" src="/portletsuite/images/loading.gif" alt="loading..."/></div>
</div>
	</c:when>
	<c:otherwise>
<p>
	sorry, you dont have the permission to edit this content.
</p>
	</c:otherwise>
</c:choose>