<%@ taglib prefix="c" uri="http://java.sun.com/jstl/ea/core"%>
<%@ taglib prefix="gtx" uri="http://www.gentics.com/taglib/rendering"%>
<%@ taglib uri="http://java.sun.com/portlet_2_0" prefix="portlet" %>


<script src="/portletsuite/scripts/jquery-1.7.2.js" type="text/javascript"></script>
<script src="/portletsuite/scripts/jquery.lightbox.js" type="text/javascript"></script>
<script src="/portletsuite/scripts/jquery.colorbox.js" type="text/javascript"></script>
<script src="/portletsuite/scripts/jquery.infinitecarousel.js" type="text/javascript"></script>

<script type="text/javascript">
<!--
	// load css files of gallery tag into header
	
	$("head").append("<link>");
	var css = $("head").children(":last");
	css.attr({
	      rel:  "stylesheet",
	      type: "text/css",
	      href: "/portletsuite/styles/jquery-colorbox.css"
	});
	
	$("head").append("<link>");
	var css = $("head").children(":last");
	css.attr({
	      rel:  "stylesheet",
	      type: "text/css",
	      href: "/portletsuite/styles/jquery-infinitecarousel.css"
	});

//-->
</script>

<c:choose>
	<c:when test="${isloggedin && haseditperm}">
		<div class="gentics-spacer-content">
			<div id="editbar">
				<a title="edit this page" href="<portlet:renderURL portletMode='edit'><portlet:param name="contentid" value="${contentid}"/></portlet:renderURL>">Edit</a>
			</div>
		</div>
	</c:when>
</c:choose>

<div class="gentics_content gentics-spacer-content">
<c:choose>
	<c:when test="${hasviewperm}">
			<gtx:render object="${contentobject}" contentAttribute="content" />
	</c:when>
	<c:otherwise>
		<p>
			Sorry, you don't have permissions to view this content
		</p>
		<c:choose>
			<c:when test="${isloggedin}">
		<p>
			Please login
		</p>
			</c:when>
		</c:choose>
	</c:otherwise>
</c:choose>
</div>